/// <reference types="react" />
import * as React from 'react';
import { InputProps, MetaProps } from 'redux-forms/lib/shared/fieldProps';
import { Value } from 'redux-forms/lib/shared/getValue';
import { ContextProps } from './connectField';
export declare type SuppliedProps = {
    input: InputProps;
    meta: MetaProps;
};
export declare type FieldProps = {
    name: string;
    validate?: Validate;
    normalize?: Normalize;
    defaultValue?: string;
    children?: React.ReactElement<any>;
};
export declare type Validate = (value: Value) => string | null;
export declare type Normalize = (value: Value) => Value;
declare const Contexted: React.StatelessComponent<FieldProps & {
    name: string;
}> & {
    WrappedComponent?: React.ComponentClass<FieldProps & {
        name: string;
    } & ContextProps> | undefined;
};
export default Contexted;
